%define _buildid .5

%global py26nvr python26-jsonpatch-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-jsonpatch-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global pypi_name jsonpatch
%global github_name python-json-patch
%global commit f6f3cd235337209fc96b71316215a40d1cd3026c
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: python-jsonpatch
Version: 1.2
Release: 2%{?_buildid}%{?dist}
Summary: Applying JSON Patches in Python
Group: System Environment/Libraries
License: BSD
URL: https://github.com/stefankoegl/%{github_name}
#Source0: https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# pypi tarball does not contain README.md and tests.py
Source0: https://github.com/stefankoegl/%{github_name}/archive/%{commit}/%{github_name}-%{version}-%{shortcommit}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Library to apply JSON Patches according to RFC 6902.

%package -n python26-jsonpatch
Summary: Applying JSON Patches in Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
BuildRequires: python26-jsonpointer
Requires: python26-jsonpointer

%description -n python26-jsonpatch
Library to apply JSON Patches according to RFC 6902.

This package is meant to be used with Python 2.6.

%package -n python27-jsonpatch
Summary: Applying JSON Patches in Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools
BuildRequires: python27-jsonpointer
Requires: python27-jsonpointer

%description -n python27-jsonpatch
Library to apply JSON Patches according to RFC 6902.

This package is meant to be used with Python 2.7.

%prep
%setup -qn %{github_name}-%{commit}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
pushd %{py26builddir}
%{__python26} tests.py
popd
pushd %{py27builddir}
%{__python27} tests.py
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-jsonpatch
%doc README.md COPYING
%{python26_sitelib}/*

%files -n python27-jsonpatch
%doc README.md COPYING
%{python27_sitelib}/*

%changelog
* Tue Feb 10 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Fri Jan 24 2014 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/python-jsonpatch-1.2-2.el6
- setup complete for package python-jsonpatch

* Tue Oct 15 2013 Alan Pevec <apevec@gmail.com> - 1.2-2
- add runtime dep on jsonpointer

* Fri Oct 11 2013 Alan Pevec <apevec@gmail.com> - 1.2-1
- Update to 1.2

* Fri Sep 13 2013 Alan Pevec <apevec@gmail.com> - 1.1-2
- review feedback: move %%check section, add missing build requirements

* Mon Jul 01 2013 Alan Pevec <apevec@gmail.com> - 1.1-1
- Initial package.
